# Create a new credentialing request Creates a new credentialing request for a provider or facility. Endpoint: POST /credentialing-requests Version: 26.2.0.4309 Security: Bearer ## Response 201 fields (application/json): - `type` (string) The type of credentialing request. Enum: "Initial", "ReCredentialing", "OffCycle" - `id` (string) Unique identifier of the credentialing request. Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08" - `provider` (object) - `provider.id` (string) Unique identifier associated with this provider. - `provider.firstName` (string, required) The first (given) name associated with this provider. - `provider.lastName` (string, required) The last (family) name associated with this provider. - `provider.dateOfBirth` (string) The date of birth of this provider. - `provider.ssn` (string) The social security number of this provider. - `provider.credentialingStatus` (string, required) The name of credentialing status. The default value is 'Data Collection'. - `provider.credentialedDate` (string) Date this provider was originally credentialed - `provider.nextCredentialingDate` (string) Date this provider should be credentialed next - `provider.npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider. - `provider.deactivated` (boolean) If set, the provider is deactivated. Verifications and profile imports can't be triggered for the inactive provider. - `provider.deactivatedAt` (string) - `provider.aliases` (array) A list of aliases that this provider is also known by. - `provider.aliases.firstName` (string) The first (given) name of this alias. - `provider.aliases.lastName` (string) The last (family) name of this alias. - `provider.aliases.id` (string) Unique identifier for this alias. - `provider.primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `provider.additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `provider.gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `provider.ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `provider.addresses` (array) If set, the provider's addresses will be updated with this value. To remove the addresses pass an empty array. - `provider.addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `provider.addresses.zipCode` (string, required) The postal code associated with the address. - `provider.addresses.city` (string, required) The city in which the address is located. - `provider.addresses.addressLine1` (string, required) The street address. - `provider.addresses.addressLine2` (string) The secondary address information. - `provider.addresses.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `provider.addresses.id` (string) Unique identifier for this address. - `provider.emails` (array) If set, the provider's emails will be updated with this value. To remove the emails pass an empty array. - `provider.emails.email` (string) The email associated with the provider. - `provider.emails.type` (string) The type of the email. Enum: "Unspecified", "Personal", "Work" - `provider.emails.id` (string) Unique identifier for this specific email. - `provider.phone` (string) Primary phone number associated with this provider - `provider.languages` (array) A list of languages, other than English, this provider speaks. - `provider.recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `provider.providerType` (object) - `provider.providerType.id` (string) Unique identifier associated with this provider type. - `provider.providerType.name` (string) Associated provider type name. - `provider.segment` (object) Example: {"id":"3516a6ba-c998-4bfb-9017-322f8cf63674","name":"acme-corp"} - `provider.segment.id` (string) Unique identifier of the segment. Example: "3516a6ba-c998-4bfb-9017-322f8cf63674" - `provider.segment.name` (string) Name of the segment. Used for multi-tenant organizations for billing, configuration, and tracking purposes. Example: "acme-corp" - `provider.createdAt` (string) Timestamp when this provider was created. - `facility` (object) - `facility.id` (string) - `facility.name` (string) The name of this facility. - `facility.createdAt` (string) Timestamp when this facility was created. - `facility.deactivated` (boolean) If set, the facility is deactivated. - `facility.parentFacilityId` (string) - `facility.dba` (string) The DBA of this facility. - `facility.addressLine1` (string) The street address of this facility. - `facility.addressLine2` (string) The secondary address information of this facility. - `facility.city` (string) The city in which the facility address is located. - `facility.state` (string) The state in which the facility address is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `facility.zipCode` (string) The postal code associated with the facility address. - `facility.phoneNumber` (string) Phone number associated with the facility. - `facility.faxNumber` (string) Fax number associated with the facility. - `facility.groupTaxId` (string) The group tax id associated with the facility. - `facility.facilityTaxId` (string) The tax id associated with the facility. - `facility.contactName` (string) The contact name associated with the facility. - `facility.contactEmail` (string) The contact email associated with the facility. - `facility.medicarePartANumber` (string) - `facility.medicarePartBNumber` (string) - `facility.medicaidNumber` (string) - `createdAt` (string) The timestamp when this credentialing request was created. Example: "2019-08-24T14:15:22.0000000Z" - `currentEvent` (object) - `currentEvent.id` (string) The unique identifier of this credentialing request event. - `currentEvent.description` (string) The description of this credentialing request event. - `currentEvent.note` (string) The note of this credentialing request event. - `currentEvent.timestamp` (string) The timestamp when this credentialing request event was created. - `currentEvent.status` (string) The status of this credentialing request event. Only the following statuses are available for self-managed requests: "RequestInProgress", "Cancelled" and "Completed". Enum: "RequestSubmitted", "RequestInProgress", "AdditionalInformationRequested", "AdditionalInformationSubmitted", "CancellationRequested", "Cancelled", "Completed", "CompletedWithConcern", "UnableToComplete", "SecondAttemptMissingInfo", "ThirdAttemptMissingInfo" - `currentEvent.attachments` (array) Files attached to this credentialing request event. - `currentEvent.attachments.path` (string) The path to the file. - `currentEvent.attachments.type` (string) The type of the attachment. Enum: "CredentialingPacket" - `currentEvent.user` (object) - `currentEvent.user.id` (string) The unique identifier of this user. - `currentEvent.user.email` (string) The email of this user. - `allEvents` (array) All events associated with this credentialing request. Example: [{}] - `priority` (string) The priority of credentialing request. Enum: "Low", "Medium", "High", "Urgent" - `isSelfManaged` (boolean) If the flag is set, this is a self-managed credentialing request. Example: true - `checklist` (object) - `checklist.id` (string) The unique identifier of this credentialing request checklist. - `checklist.requestId` (string) The credentialing request unique identifier to which this checklist is bound. - `checklist.notes` (string) The notes if any of this credentialing request checklist. - `checklist.items` (array) An array of the items with references and details of this credentialing request checklist. - `checklist.items.id` (string) The unique identifier of this credentialing request checklist item. - `checklist.items.name` (string) The name of this credentialing request checklist item. - `checklist.items.confirmedAt` (string) The timestamp at which this credentialing request checklist item was confirmed at. - `checklist.items.confirmedBy` (string) The name of the user/entity that confirmed this credentialing request checklist item. - `checklist.items.verifiedAt` (string) The timestamp at which this credentialing request checklist item was verified at. - `checklist.items.status` (string) The status of this credentialing request checklist item. - `checklist.items.source` (string) The source of this credentialing request checklist item. - `checklist.items.references` (object) - `checklist.items.references.providerInfo` (array) If set, array with pairs of provider information ids and provider information types linked to the provider of the credentialing request. - `checklist.items.references.providerInfo.providerInfoId` (string) Unique identifier of the provider info, this id must be linked to the provider of the credentialing request. - `checklist.items.references.providerInfo.providerInfoType` (string) Types of provider info supported. Enum: "BasicInfo", "Caqh", "LiabilityInsurance", "Education", "Training", "WorkHistory", "DeaRegistrations", "Licenses", "BoardCertifications", "Certificates", "MedicaidEnrollment" - `checklist.items.references.facilityInfo` (array) If set, array with sets of facility info ids and facility info types that are linked to the credentialing request. - `checklist.items.references.facilityInfo.facilityInfoId` (string) Unique identifier of the facility info. This info must be linked to one or more specialties on the credentialing request. - `checklist.items.references.facilityInfo.facilityInfoType` (string) Type of facility info. Enum: "Npi", "Dea", "LiabilityInsurance", "License", "Accreditation", "CmsCertification", "MedicareEnrollment" - `checklist.items.references.licenseVerifications` (array) If set, array with pairs of license ids and license verifications ids linked to the provider of the credentialing request. - `checklist.items.references.licenseVerifications.licenseId` (string) Unique identifier of the license id, this id must be linked to the provider of the credentialing request. - `checklist.items.references.licenseVerifications.licenseVerificationId` (string) Unique identifier of the license verification id, this id must be linked to the license id. - `checklist.items.references.datasetScans` (array) If set, array with dataset scan ids linked to the provider of the credentialing request. - `checklist.items.references.datasetScans.datasetScanId` (string) Unique identifier of the dataset scan id, this id must be linked to the provider of the credentialing request. - `checklist.items.references.files` (array) If set, array with file paths linked to the provider of the credentialing request. - `checklist.items.references.files.filePath` (string) File path to a provider file, this path must be linked to the provider of the credentialing request. - `checklist.items.references.profiles` (array) If set, array with profiles linked to the provider of the credentialing request. - `checklist.items.references.profiles.profileId` (string) Unique identifier of the provider profile id, this id must be linked to the provider of the credentialing request. - `checklist.items.references.facilitySpecialties` (array) If set, array with facility specialty ids that this credentialing request item applies to. - `checklist.items.references.facilitySpecialties.facilitySpecialtyId` (string) Unique identifier of the facility specialty. - `checklist.details` (object) - `checklist.details.organization` (string) The organization of this credentialing request checklist. - `checklist.details.providerType` (string) The type of provider of this credentialing request checklist. - `checklist.details.providerName` (string) The name of the provider of this credentialing request checklist. - `checklist.details.started` (string) The timestamp at which this credentialing request checklist was started at. - `checklist.details.completed` (string) The timestamp at which this credentialing request checklist was completed at. - `owner` (object) - `owner.firstName` (string) The firstname of this user. - `owner.lastName` (string) The lastname of this user. - `facilitySpecialties` (array) Facility specialties with taxonomies associated with this credentialing request. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","facilityId":"1cbb0c1f-62a0-4181-a6d1-b7fbd4caf705","taxonomyId":"47df2c82-a3a8-4cb4-8009-22a827579066"}] - `facilitySpecialties.id` (string) The unique identifier of this specialty. - `facilitySpecialties.facilityId` (string) The facility unique identifier related to this specialty. - `facilitySpecialties.taxonomyId` (string) The taxonomy unique identifier related to this specialty. - `facilitySpecialties.credentialedDate` (string) - `facilitySpecialties.nextCredentialingDate` (string) - `facilitySpecialties.recredentialedDates` (array) - `facilitySpecialtyIds` (array) Facility specialties associated with this credentialing request. Example: ["497f6eca-6276-4993-bfeb-53cbbbba6f08"] ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields